.md-card{
    display: inline-block;
    position: relative;
    width: 100%;
    margin: 30px 0;
    overflow: unset;

    @include box-shadow($bmd-shadow-2dp);
    border-radius: $border-radius-base + 3;
    color: $mdb-card-body-text;
    background: $mdb-card-body-background;


    &.row-space{
        .header{
            padding: 15px 20px 0;
        }
    }

    .title{
        margin-top: 0;
        margin-bottom: 5px;
    }
    .card-image {
        height: 60%;
        position: relative;
        overflow: hidden;

        margin-left: 15px;
        margin-right: 15px;
        margin-top: -30px;
        border-radius: $border-radius-large;

        img {
            width: 100%;
            height: 100%;
            border-radius: $border-radius-large;
            pointer-events: none;
        }
        .card-title {
            position: absolute;
            bottom: 15px;
            left: 15px;
            color: $mdb-card-image-headline;
            font-size: $font-size-h4;
            text-shadow: 0 2px 5px rgba(33, 33, 33, 0.5);
        }
    }

    .category:not([class*="text-"]){
        color: $gray-color;
    }
    .md-card-content{
        padding: .9375rem 1.875rem;
        line-height: inherit;

        .category{
            margin: 0;
        }
    }

    .md-card-header{
        // @include shadow-big();
        // margin: -20px  50px $margin-base;
        // border-radius: $border-radius-base;
        // padding: $padding-base;
        // background-color: white;

        .title,
        .card-title{
          color: $white-color;
        }
        .category{
            margin: 0;
            color: rgba($white-color, .62);
        }

        a{
          color: $white-color !important;
        }

        &.card-chart{
            padding: 0;
            min-height: 160px;

            + .content{
                h4{
                    margin-top: 0;
                }
            }
        }

        .ct-label{
            color: rgba($white-color, .7);
        }
        .ct-grid{
            stroke: rgba(255, 255, 255, 0.2);
        }
        .ct-series-a .ct-point,
        .ct-series-a .ct-line,
        .ct-series-a .ct-bar,
        .ct-series-a .ct-slice-donut{
            stroke: rgba(255,255,255,.8);
        }
        .ct-series-a .ct-slice-pie,
        .ct-series-a .ct-area{
            fill: rgba(255,255,255,.4);
        }

    }

    .chart-title{
        position: absolute;;
        top: 25px;
        width: 100%;
        text-align: center;

        h3{
            margin: 0;
            color: $white-color;
        }

        h6{
            margin: 0;
            color: rgba(255,255,255, .4);
        }

    }

    .md-card-actions{
        margin: 0 20px 10px;
        padding: 10px 0 0 0;
        border-top: 1px solid #eeeeee;

        .content{
            display: block;
        }

        div{
            display: inline-block;
        }
        .author{
            color: $gray-color;
        }
        .stats{
            line-height: 22px;
            color: $gray-color;
            font-size: $font-size-small;

            .md-icon.md-theme-default.md-icon-font{
                position: relative;
                top: -1px;
                font-size: $font-paragraph + 2 !important;
                color: $gray-light;
            }
        }

        h6{
            color: $gray-color;
        }

    }

    img{
        width: 100%;
        height: auto;
    }

    .category{
        .md-icon{
            position: relative;
            top: 6px;
            line-height: 0;
        }
    }

    .category-social{
        .fa{
            font-size: 24px;
            position: relative;
            margin-top: -4px;
            top: 2px;
            margin-right: 5px;
        }
    }

    .author{
        .avatar{
            width: 30px;
            height: 30px;
            overflow: hidden;
            border-radius: 50%;
            margin-right: 5px;
        }

        a{
            color: $black-color;
            text-decoration: none;

            .ripple-container{
                display: none;
            }
        }
    }

    .table{
        margin-bottom: 0;

        tr:first-child td{
            border-top: none;
        }
    }

    [data-background-color="purple"],
    .md-card-header-primary,
    .md-tabs.md-primary .md-tabs-navigation{
        background: linear-gradient(60deg, $purple-400, $purple-700);
        @include shadow-big-color($brand-primary);
    }

    [data-background-color="blue"],
    .md-card-header-info,
    .md-tabs.md-info .md-tabs-navigation{
        background: linear-gradient(60deg, $cyan-400, $cyan-700);
        @include shadow-big-color($brand-info);
    }

    [data-background-color="green"],
    .md-card-header-green,
    .md-tabs.md-success .md-tabs-navigation{
        background: linear-gradient(60deg, $green-400, $green-700);
        @include shadow-big-color($brand-success);
    }

    [data-background-color="orange"],
    .md-card-header-orange,
    .md-tabs.md-warning .md-tabs-navigation{
        background: linear-gradient(60deg, $orange-400, $orange-700);
        @include shadow-big-color($brand-warning);
    }

    [data-background-color="red"],
    .md-card-header-red,
    .md-tabs.md-danger .md-tabs-navigation{
        background: linear-gradient(60deg, $red-400, $red-700);
        @include shadow-big-color($brand-danger);
    }

    [data-background-color="rose"],
    .md-card-header-rose,
    .md-tabs.md-rose .md-tabs-navigation{
        background: linear-gradient(60deg, $pink-400, $pink-700);
        @include shadow-big-color($brand-rose);
    }

    [data-background-color]{
        color: $white-color;

        a{
            color: $white-color;
        }
    }
}

.md-card-stats{
    .title{
        margin: 0;

        small{
          color: $gray-color;
          font-size: 65%;
          line-height: 1;
          font-weight: 400;
        }
    }
    .md-card-header{
        float: left;
        text-align: center;

        i{
            font-size: 36px !important;
            line-height: 56px;
            width: 56px;
            height: 56px;
            color: $white-color !important;
        }
    }
    .md-card-content{
        text-align: right;
        padding-top: 10px;
    }

}

.card-nav-tabs{
    .header-raised{
        margin-top: -$margin-base * 2;
    }
    .nav-tabs{
        background: transparent;
        padding: 0;
    }
    .nav-tabs-title{
        float: left;
        padding: 10px 10px 10px 0;
        line-height: 24px;
    }
}

.md-card-plain{
    background: transparent !important;
    box-shadow: none !important;

    .md-card-header{
        margin-left: 0;
        margin-right: 0;
    }
    .md-card-content{
        padding-left: 5px;
        padding-right: 5px;
    }

    .card-image{
        margin: 0;
        border-radius: $border-radius-base;

        img{
            border-radius: $border-radius-base;
        }
    }
}

.iframe-container{
    margin: 0 -20px 0;

    iframe{
        width: 100%;
        height: 500px;
        border: 0;
        @include shadow-big();
    }
}

.md-card-profile,
.card-testimonial{
    margin-top: 30px;
    text-align: center;

    .btn-just-icon.btn-raised{
        margin-left: 6px;
        margin-right: 6px;
    }

    .md-card-avatar{
        max-width: 130px;
        max-height: 130px;
        margin: -50px auto 0;
        border-radius: 50%;
        overflow: hidden;

        @include shadow-big();

        & + .md-card-content{
            margin-top: 15px;
        }
    }

    &.md-card-plain{
        .card-avatar{
            margin-top: 0;
        }
    }
}

.md-card-tabs{
  margin-top: 0;

  .md-list{
    flex-flow: initial;
    padding: 0 15px;
  }

  &.page-subcategories > .md-card-header .title{
    margin-top: 30px !important;
    margin-bottom: 25px !important;
    min-height: 32px;
  }

  .tab-content{
    padding: 20px 0 9px;
  }

  .md-list-item + .md-list-item{
    margin-left: 5px;
  }

  .md-list .md-list-item .md-list-item-button{
    line-height: 24px;
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 500;
    min-width: 100px;
    color: $black-color !important;
    transition: all .3s;
    border-radius: 30px;
    padding: 0;

    .md-icon{
      display: flex;
      width: auto;
      height: auto;
      margin: 0;
      font-size: 30px !important;
      padding: 15px 0;
      color: $navbar-color;
    }

    .md-list-item-content{
      min-height: auto;
      padding: 10px 15px;
      justify-content: center;
      display: flex;
    }

    &:hover,
    &:focus{
      background-color: rgba(199, 199, 199, .2) !important;
    }
  }

  .md-list .md-list-item:not(.active) .md-list-item-button .md-list-item-content {
    color: $navbar-color;
  }

  .active.md-list-item .md-list-item-button{
    @include tabs-color($gray-color);
    color: $white-color !important;

    .md-list-item-content .md-icon,
    &{
      color: $white-color !important;
    }
  }

  .active.md-list-item.md-rose .md-list-item-button{
    @include tabs-color($brand-rose);
  }
  .active.md-list-item.md-primary .md-list-item-button{
    @include tabs-color($brand-primary);
  }
  .active.md-list-item.md-warning .md-list-item-button{
    @include tabs-color($brand-warning);
  }
  .active.md-list-item.md-info .md-list-item-button{
    @include tabs-color($brand-info);
  }
  .active.md-list-item.md-success .md-list-item-button{
    @include tabs-color($brand-success);
  }
  .active.md-list-item.md-danger .md-list-item-button{
    @include tabs-color($brand-danger);
  }

  &.md-card-plain {

    .md-card-header,
    .md-list{
      background-color: transparent !important;
    }

    .title{
      justify-content: center;
    }
  }
}

.flex-column{
  .md-card-content{
    display: flex;
    flex-flow: initial;
  }

  .md-list{
    flex-direction: column;
    min-width: 148px;

    & .md-list-item + .md-list-item{
      margin: 0;
      margin-top: 5px;
    }
  }

  .tab-content{
    padding: 0;
    padding-left: 30px;
  }
}

.nav-pills-icons{
  .md-list .md-list-item .md-list-item-button {
    border-radius: 4px;

    .md-list-item-content{
      flex-direction: column-reverse;
    }
  }
}

.md-card-login{
  margin: 0 auto;

  .md-button{
    margin: .3125rem 1px;
  }

  .social-line {
    margin-top: 1rem;
  }

  .md-card-header,
  .description{
    text-align: center;
  }

  &.md-card-hidden{
    opacity: 0;
    transform: translate3d(0,-60px,0);
  }

  .md-card-content{
    padding-top: 0;
  }

  .description{
    margin-top: 0;
  }

  .md-card-actions{
    border: 0;
    justify-content: center;
  }
}

.team-player .md-card-actions {
  border: 0;
}
